# Rename a copilot conversation (/docs/api-reference/copilot/CopilotController_renameConversation)

`PATCH /api/factories/{factoryId}/copilot/conversations/{id}`

Base URL: https://api.xentr.ai

Authentication: bearer token (`Authorization: Bearer <token>`).

## Parameters

| Name | In | Required | Type | Description |
| --- | --- | --- | --- | --- |
| `factoryId` | path | yes | string | Factory slug |
| `id` | path | yes | string |  |

## Request body

Required.

Content type: `application/json`

```json
{
  "type": "object",
  "properties": {
    "title": {
      "type": "string",
      "description": "New conversation title (max 80 chars).",
      "maxLength": 80
    }
  },
  "required": [
    "title"
  ]
}
```

## Responses

### 200